Click or drag to resize

BrepCreateOffsetBrep Method

Offsets a Brep.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateOffsetBrep(
	Brep brep,
	double distance,
	bool solid,
	bool extend,
	double tolerance,
	out Brep[] outBlends,
	out Brep[] outWalls
)

Parameters

brep
Type: Rhino.GeometryBrep
The Brep to offset.
distance
Type: SystemDouble
The distance to offset. This is a signed distance value with respect to face normals and flipped faces.
solid
Type: SystemBoolean
If true, then the function makes a closed solid from the input and offset surfaces by lofting a ruled surface between all of the matching edges.
extend
Type: SystemBoolean
If true, then the function maintains the sharp corners when the original surfaces have sharps corner. If False, then the function creates fillets at sharp corners in the original surfaces.
tolerance
Type: SystemDouble
The offset tolerance.
outBlends
Type: Rhino.GeometryBrep
The results of the calculation.
outWalls
Type: Rhino.GeometryBrep
The results of the calculation.

Return Value

Type: Brep
Array of Breps if successful. If the function succeeds in offsetting, a single Brep will be returned. Otherwise, the array will contain the offset surfaces, outBlends will contain the set of blends used to fill in gaps (if extend is false), and outWalls will contain the set of wall surfaces that was supposed to join the offset to the original (if solid is true).
Version Information

Rhino for Windows

Supported in: 6.5
See Also